# Week and Day view

If you have a full configuration that renders a Day time slot view, you can add another workspace to render Weeks calendar view. To do that you need to add some extra configuration in the application settings of the workspace.

![](/files/XMOUEc81UKAC8YMbLpor)

Code example of Week time slots:

```json
{
    "plannerInterval": "week",
    "slots": [
        {
            "id": 1,
            "name": " ",
            "description": "",
            "offset": {
                "startDays": 0,
                "endDays": 0,
                "time": {
                    "start": {
                        "hour": 0,
                        "minute": 0,
                        "second": 0
                    },
                    "end": {
                        "hour": 23,
                        "minute": 59,
                        "second": 59
                    }
                }
            }
        },
        {
            "id": 2,
            "name": "",
            "description": "",
            "offset": {
                "startDays": 1,
                "endDays": 1,
                "time": {
                    "start": {
                        "hour": 0,
                        "minute": 0,
                        "second": 0
                    },
                    "end": {
                        "hour": 23,
                        "minute": 59,
                        "second": 59
                    }
                }
            }
        },
        {
            "id": 3,
            "name": "",
            "description": "",
            "offset": {
                "startDays": 2,
                "endDays": 2,
                "time": {
                    "start": {
                        "hour": 0,
                        "minute": 0,
                        "second": 0
                    },
                    "end": {
                        "hour": 23,
                        "minute": 59,
                        "second": 59
                    }
                }
            }
        },
        {
            "id": 4,
            "name": "",
            "description": "",
            "offset": {
                "startDays": 3,
                "endDays": 3,
                "time": {
                    "start": {
                        "hour": 0,
                        "minute": 0,
                        "second": 0
                    },
                    "end": {
                        "hour": 23,
                        "minute": 59,
                        "second": 59
                    }
                }
            }
        },
        {
            "id": 5,
            "name": "",
            "description": "",
            "offset": {
                "startDays": 4,
                "endDays": 4,
                "time": {
                    "start": {
                        "hour": 0,
                        "minute": 0,
                        "second": 0
                    },
                    "end": {
                        "hour": 23,
                        "minute": 59,
                        "second": 59
                    }
                }
            }
        },
        {
            "id": 6,
            "name": "",
            "description": "",
            "offset": {
                "startDays": 5,
                "endDays": 5,
                "time": {
                    "start": {
                        "hour": 0,
                        "minute": 0,
                        "second": 0
                    },
                    "end": {
                        "hour": 23,
                        "minute": 59,
                        "second": 59
                    }
                }
            }
        },
        {
            "id": 7,
            "name": "",
            "description": "",
            "offset": {
                "startDays": 6,
                "endDays": 6,
                "time": {
                    "start": {
                        "hour": 0,
                        "minute": 0,
                        "second": 0
                    },
                    "end": {
                        "hour": 23,
                        "minute": 59,
                        "second": 59
                    }
                }
            }
        }
    ]
}
```

This can result in Publication Planner with two different sidebar item if two items are created under [Sidebar item config](/publication-planner/5.1.2/admin/settings/configuration/sidebar-item.md).

![](/files/hKhsW6pJwMAMBkj1ZzR1)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/publication-planner/5.1.2/admin/settings/configuration/week-and-day-view.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
